import { Router } from "express";
import { productsController } from "./controller";
import passport from "passport";
import { isAuthenticated } from "../auth/middleware";

export const productsRouter = Router();

productsRouter.get(
  "/",
  passport.session(),
  isAuthenticated,
  productsController.getProducts
);
productsRouter.get("/:id", productsController.getProduct);
productsRouter.post(
  "/",
  passport.session(),
  isAuthenticated,
  productsController.createProduct
);
productsRouter.delete(
  "/:id",
  passport.session(),
  isAuthenticated,
  productsController.deleteProduct
);
